unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeEngine, Series, TeeDBEdit, TeeDBCrossTab, ExtCtrls, TeeProcs, DbEditCh,
  Chart, DBChart, Grids, DBGrids, DB, StdCtrls, TeeEdit, Unit2, BMPLoader;

type

  TAChart = class(TDBChart)
  private

  published
  public
    function IsValidDataSource(ASeries: TChartSeries; AComponent: TComponent): Boolean; override;

  end;

  TForm1 = class(TForm)
    DBGrid1: TDBGrid;
    ChartEditor1: TChartEditor;
    Button1: TButton;
    Image1: TImage;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
    AChart: TAChart;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
  ChartEditor1.Execute;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  AChart := TAChart.Create(self);
  AChart.Parent := self;
  ChartEditor1.Chart := AChart;
end;

{ TAChart }

function TAChart.IsValidDataSource(ASeries: TChartSeries;
  AComponent: TComponent): Boolean;
begin
  if AComponent is TDBCrossTabSource then
    Result := true
  else
    Result := AComponent.Tag = 1;
end;

end.

